org.apache.pdfbox.util.filetypedetector

## Enum FileType

- java.lang.Object
- - java.lang.Enum<FileType>
  - - org.apache.pdfbox.util.filetypedetector.FileType

All Implemented Interfaces:
  Serializable, Comparable<FileType>

    public enum FileType
    extends Enum<FileType>

Author:
  Drew Noakes code taken from https://github.com/drewnoakes/metadata-extractor 2016-01-04 latest commit number 73f1a48 Enumeration of supported image file formats.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARW` Sony camera raw.
`BMP`
`CR2` Canon camera raw, version 2.
`CRW` Canon camera raw, version 1.
`GIF`
`ICO`
`JPEG`
`NEF` Nikon camera raw.
`ORF` Olympus camera raw.
`PCX`
`PNG`
`PSD`
`RAF` FujiFilm camera raw.
`RIFF`
`RW2` Panasonic camera raw.
`TIFF`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static FileType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final FileType UNKNOWN

#### JPEG

    public static final FileType JPEG

#### TIFF

    public static final FileType TIFF

#### PSD

    public static final FileType PSD

#### PNG

    public static final FileType PNG

#### BMP

    public static final FileType BMP

#### GIF

    public static final FileType GIF

#### ICO

    public static final FileType ICO

#### PCX

    public static final FileType PCX

#### RIFF

    public static final FileType RIFF

#### ARW

    public static final FileType ARW

Sony camera raw.

#### CRW

    public static final FileType CRW

Canon camera raw, version 1.

#### CR2

    public static final FileType CR2

Canon camera raw, version 2.

#### NEF

    public static final FileType NEF

Nikon camera raw.

#### ORF

    public static final FileType ORF

Olympus camera raw.

#### RAF

    public static final FileType RAF

FujiFilm camera raw.

#### RW2

    public static final FileType RW2

Panasonic camera raw.

### Method Detail

#### values

    public static FileType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FileType c : FileType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FileType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null